<!doctype html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- Bootstrap CSS -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
  <link href="https://unpkg.com/tailwindcss@^2/dist/tailwind.min.css" rel="stylesheet">

  <title>Mobile Price Prediction</title>
  
</head>

<body> 
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark" >
        <a class="navbar-brand" href="#">Mobile Price Prediction</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
      
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
              <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#">About</a>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                Mobile Phone
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                <a class="dropdown-item" href="#">Samsung</a>
                <a class="dropdown-item" href="#">Apple</a>
                <a class="dropdown-item" href="#">Nokia</a>
                <div class="dropdown-divider" href="#">Vivo</div>
                <a class="dropdown-item" href="#">Oppo</a>
              </div>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#">Contact</a>
            </li>
            <!-- <li class="nav-item">
              <a class="nav-link disabled" href="#">Contact</a>
            </li> -->
          </ul>
          <!-- <form class="form-inline my-2 my-lg-0">
            <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
          </form> -->
        </div>
      </nav>
      
  <section class="text-gray-600 body-font">
      <form action='/predict' method='POST'>
        <div class="carousel-inner">
          <div class="carousel-item active">
            <video class="img-fluid" autoplay loop muted>
              <source src="static/iPhone 14 Pro Trailer  - Apple.mp4" type="video/mp4" />
            </video>
              <div class="carousel-caption d-none d-md-block">
                <h5>iPhone 14 Pro Max</h5>
                  <p>
                    A magical new way to interact with iPhone. Groundbreaking safety features designed to save lives. An innovative 48MP camera for mind-blowing detail.
                  </p>
              </div>
          </div>
        </div>

        <div class="container px-5 py-24 mx-auto">
          <!-- <div class="flex flex-col text-center w-full mb-20">
            <h2 style="color: red;"><b></b></h2>
          </div> -->
        <div>
        </div>

      <main class="border border-primary">
        <section class="presentation">
          <div class="introduction">
            <div class="w3-container">
              <button onclick="document.getElementById('id01').style.display='block' " class="button">
              <span>
                <text style="font-family: serif">
                 predict
                </text>
              </span>
              </button>
              <div id="id01" class="w3-modal">
                <div class="w3-modal-content">
                  <div class="w3-container">
                    <span onclick="document.getElementById('id01').style.display='none' "class = "w3-button w3-display-topright">&times;</span>
                    <main>
                      <section class="text-gray-600 body-font">
                        <div class="container px-5 py-24 mx-auto">
                          <div class="flex flex-col text-center w-full mb-20">
                            <h1 class="sm:text-3xl text-2xl font-medium title-font mb-4 text-gray-900">Mobile Price Prediction</h1>
                            <br><br>
                            <h2 style="color: green;" class="fas fa-star"><b>{{prediction_text}}</b></h2>
                          </div>
                          <div>
                          </div>
                          <form action='predict' method='POST' , action="{{url_for('home')}}">
                    
                            <div class="mb-3">
                              <label for="exampleFormControlInput1" class="form-label">Enter ROM of the mobile</label>
                              <input type="text" class="form-control" id="ROM" name="ROM" placeholder="128 GB">
                            </div>
                            <div class="mb-3">
                              <label for="exampleFormControlInput1" class="form-label">Enter RAM of the mobile</label>
                              <input type="text" class="form-control" id="RAM" name="RAM" placeholder="16 GB">
                            </div>
                            <div class="mb-3">
                              <label for="exampleFormControlInput1" class="form-label">Enter Primary Camera</label>
                              <input type="text" class="form-control" id="Primary_Cam" name="Primary_Cam" placeholder="4 MP">
                            </div>
                            <div class="mb-3">
                              <label for="exampleFormControlInput1" class="form-label">Enter Selfie Camera</label>
                              <input type="text" class="form-control" id="Selfie_Cam" name="Selfie_Cam" placeholder="16 MP">
                            </div>
                            <div class="mb-3">
                              <label for="exampleFormControlInput1" class="form-label">Enter Battery Power</label>
                              <input type="text" class="form-control" id="Battery_Power" name="Battery_Power" placeholder="5000 mAh">
                            </div>
                    
                    
                    
                            <!-- <input type="submit", value="Predict"> -->
                            <button type="submit" class="btn btn-primary btn-rounded">Predict</button>
                            <!-- <button type="submit" class="btn btn-primary">Predict</button> -->
                          </form>
                    
                    
                        </div>
                      </section>
                    </main>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
      </main>  


        <div class="carousel-inner py-4">
          <!-- Single item -->
          <div class="carousel-item active">
              <div class="container">
              <div class="row">
                  <div class="col-lg-4">
                  <div class="card">
                      <img
                      src="/static/a.png"
                      class="card-img-top"
                      alt="Waterfall"
                      />
                      <div class="card-body">
                      <h5 class="card-title">Vivo Phone</h5>
                      <p class="card-text">
                          All types of Vivo are avialable are Here.
                      </p>
                      <p class="card-text">
                        Nu.{{prediction_text}}
                      </p>
                      <a href="https://www.amazon.in/vivo-mobile/s?k=vivo+mobile" class="btn btn-primary" >Buy</a>
                      <!-- <iframe width="560" height="315" src="https://www.youtube.com/embed/y881t8ilMyc" frameborder="0" allowfullscreen>Buy</iframe>
                      </iframe> -->
                      </div>
                  </div>
                  </div>
  
                  <div class="col-lg-4 d-none d-lg-block">
                  <div class="card">
                      <img
                      src="/static/d.png"
                      class="card-img-top"
                      alt="Sunset Over the Sea"
                      />
                      <div class="card-body">
                      <h5 class="card-title">Samsung</h5>
                      <p class="card-text">
                          Samsung phone are avialable.
                      </p>
                      <br>
                      <p class="card-text">
                        Nu.{{prediction_text}}
                      </p>
                      <a href="https://www.amazon.in/samsung/s?k=samsung" class="btn btn-primary">Buy</a>
                      </div>
                  </div>
                  </div>
  
                  <div class="col-lg-4 d-none d-lg-block">
                  <div class="card">
                      <img
                      src="/static/e.png"
                      class="card-img-top"
                      alt="Sunset over the Sea"
                      />
                      <div class="card-body">
                      <h5 class="card-title">iPhone</h5>
                      <p class="card-text">
                          Newly released iphone 14 are avialable.
                      </p>
                      <p class="card-text">
                        Nu.{{prediction_text}}
                      </p>
                      <a href="https://www.amazon.in/iphone/s?k=iphone" class="btn btn-primary">Buy</a>
                      </div>
                  </div>
                  </div>
              </div>
              </div>
          </div>
        </div>

        <!-- Gallery -->
        <!-- <div class="row">
            <div class="col-lg-4 col-md-12 mb-4 mb-lg-0">
            <img
                src="/static/i.png"
                class="w-100 shadow-1-strong rounded mb-4"
                alt="Boat on Calm Water"
            />
        
            <img
                src="/static/f.png"
                class="w-100 shadow-1-strong rounded mb-4"
                alt="Wintry Mountain Landscape"
            />
            </div>
        
            <div class="col-lg-4 mb-4 mb-lg-0">
            <img
                src="/static/n3.jpg"
                class="w-100 shadow-1-strong rounded mb-4"
                alt="Mountains in the Clouds"
            />
        
            <img
                src="/static/m2.jpg"
                class="w-100 shadow-1-strong rounded mb-4"
                alt="Boat on Calm Water"
            />
            </div>
    
            <div class="col-lg-4 mb-4 mb-lg-0">
            <img
                src="/static/j.png"
                class="w-100 shadow-1-strong rounded mb-4"
                alt="Waves at Sea"
            />
        
            <img
                src="/static/g.png"
                class="w-100 shadow-1-strong rounded mb-4"
                alt="Yosemite National Park"
            />
            </div>
        </div> -->
        <!-- Gallery -->



      <div class="border border-secondary">
        <h1 class="sm:text-3xl text-2xl font-medium title-font mb-4 text-black-300"><center><b>Types of iPhone</b></center></h1>
        <div class="ecommerce-gallery" data-mdb-zoom-effect="true" data-mdb-auto-height="true" >
            <div class="row py-3 shadow-5">
              <div class="col-12 mb-1">
                <div class="lightbox">
                    <form>
                      <!-- <h1>Types of iPhone</h1> -->
                  <img
                    src="/static/i2.jpg"
                    alt="Gallery image 1"
                    class="ecommerce-gallery-main-img active w-100"
                  />
                </form>
                </div>
              </div>
              <div class="col-3 mt-1">
                <img
                  src="/static/a.png"
                  data-mdb-img="https://mdbcdn.b-cdn.net/img/Photos/Horizontal/E-commerce/Vertical/14a.webp"
                  alt="Gallery image 1"
                  class="active w-100"
                />
              </div>
              <div class="col-3 mt-1">
                <img
                  src="/static/b.png"
                  data-mdb-img="https://mdbcdn.b-cdn.net/img/Photos/Horizontal/E-commerce/Vertical/12a.webp"
                  alt="Gallery image 2"
                  class="w-100"
                />
              </div>
              <div class="col-3 mt-1">
                <img
                  src="/static/c.png"
                  data-mdb-img="https://mdbcdn.b-cdn.net/img/Photos/Horizontal/E-commerce/Vertical/13a.webp"
                  alt="Gallery image 3"
                  class="w-100"
                />
              </div>
              <div class="col-3 mt-1">
                <img
                  src="/static/n.png"
                  data-mdb-img="https://mdbcdn.b-cdn.net/img/Photos/Horizontal/E-commerce/Vertical/15a.webp"
                  alt="Gallery image 4"
                  class="w-100"
                />
              </div>
            </div>
          </div>
        </div>


        
        <!-- <h1>Types of iPhone</h1> -->
        <div class="ecommerce-gallery" data-mdb-zoom-effect="true" data-mdb-auto-height="true">
          <div class="row py-3 shadow-5">
            <div class="col-12 mb-1">
              <div class="lightbox">
                  <form>
                    <p><b>About Us</b></p>
                <!-- <img
                  src="/static/i2.jpg"
                  alt="Gallery image 1"
                  class="ecommerce-gallery-main-img active w-100"
                /> -->
              </form>
              </div>
            </div>
            <div class="col-3 mt-1">
              <img
                src="/static/tj.jpg"
                data-mdb-img="https://mdbcdn.b-cdn.net/img/Photos/Horizontal/E-commerce/Vertical/14a.webp"
                alt="Gallery image 1"
                class="active w-100"
              />
              <p>Tandin Jamtsho</p>
              <p>Developer</p>
            </div>
            <div class="col-3 mt-1">
              <img
                src="/static/tandin.jpg"
                data-mdb-img="https://mdbcdn.b-cdn.net/img/Photos/Horizontal/E-commerce/Vertical/12a.webp"
                alt="Gallery image 2"
                class="w-100"
              />
              <p>Tandin Wangchuk</p>
              <p>Developer</p>
            </div>
            <div class="col-3 mt-1">
              <img
                src="/static/pema.png"
                data-mdb-img="https://mdbcdn.b-cdn.net/img/Photos/Horizontal/E-commerce/Vertical/13a.webp"
                alt="Gallery image 3"
                class="w-100"
              />
              <p>Pema Wangmo</p>
              <p>Developer</p>
            </div>
            <div class="col-3 mt-1">
              <img
                src="/static/sanga.jpg"
                data-mdb-img="https://mdbcdn.b-cdn.net/img/Photos/Horizontal/E-commerce/Vertical/15a.webp"
                alt="Gallery image 4"
                class="w-100"
              />
              <p>Sanga Tenzin</p>
              <p>Developer</p>
            </div>
          </div>
        </div>
        







        <!-- <img
            src="file:///C:/Users/user/Desktop/Image/vision.webp"
            class="img-fluid rounded"
            alt="Townhouses and Skyscrapers"
            />

            <img
            src="C:\Users\user\Desktop\Image\Web 1.jpg"
            class="img-fluid rounded-circle"
            alt="Townhouses and Skyscrapers"
            />

            <img
            src="https://mdbcdn.b-cdn.net/img/new/standard/city/047.webp"
            class="img-fluid rounded"
            alt="Townhouses and Skyscrapers"

            <img
            src="https://www.google.com/url?sa=i&url=https%3A%2F%2Fwww.samsung.com%2Fca%2Fsmartphones%2Fall-smartphones%2F&psig=AOvVaw23soFBvMkRe2yB9f_xHrKl&ust=1669010273257000&source=images&cd=vfe&ved=0CBAQjRxqFwoTCPDruPeJvPsCFQAAAAAdAAAAABAE"
            class="img-fluid rounded"
            alt="Townhouses and Skyscrapers"
            
        /> -->
        
      </form>
    </div>
  </section>


  <!-- Optional JavaScript; choose one of the two! -->

  <!-- Option 1: Bootstrap Bundle with Popper -->
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf"
    crossorigin="anonymous"></script>

  <!-- Option 2: Separate Popper and Bootstrap JS -->
  <!--
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.1/dist/umd/popper.min.js" integrity="sha384-SR1sx49pcuLnqZUnnPwx6FCym0wLsk5JZuNx2bPPENzswTNFaQU1RDvt3wT4gWFG" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.min.js" integrity="sha384-j0CNLUeiqtyaRmlzUHCPZ+Gy5fQu0dQ6eZ/xAww941Ai1SxSY+0EQqNXNE6DZiVc" crossorigin="anonymous"></script>
    -->



    <!-- <footer class="bg-light text-center text-white">
      <div class="container p-4 pb-0">
        <section class="mb-4">
          <a
            class="btn text-white btn-floating m-1"
            style="background-color: #3b5998;"
            href="#!"
            role="button"
            ><i class="fab fa-facebook-f"></i
          ></a>
          <a
            class="btn text-white btn-floating m-1"
            style="background-color: #55acee;"
            href="#!"
            role="button"
            ><i class="fab fa-twitter"></i
          ></a>
    
          <a
            class="btn text-white btn-floating m-1"
            style="background-color: #dd4b39;"
            href="#!"
            role="button"
            ><i class="fab fa-google"></i
          ></a>
          <a
            class="btn text-white btn-floating m-1"
            style="background-color: #ac2bac;"
            href="#!"
            role="button"
            ><i class="fab fa-instagram"></i
          ></a>
          <a
            class="btn text-white btn-floating m-1"
            style="background-color: #0082ca;"
            href="#!"
            role="button"
            ><i class="fab fa-linkedin-in"></i
          ></a>
          <a
            class="btn text-white btn-floating m-1"
            style="background-color: #333333;"
            href="#!"
            role="button"
            ><i class="fab fa-github"></i
          ></a>
        </section>
      </div>
      <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
        © 2020 Copyright:
        <a class="text-white" href="https://mobileprice.com/">mobileprice.com</a>
      </div>
    </footer> -->




    
    <!-- Remove the container if you want to extend the Footer to full width. -->
<div class="container my-5">
  <!-- Footer -->
  <footer
          class="text-center text-lg-start text-white"
          style="background-color: #929fba"
          >
    <!-- Grid container -->
    <div class="container p-4 pb-0">
      <!-- Section: Links -->
      <section class="">
        <!--Grid row-->
        <div class="row">
          <!-- Grid column -->
          <div class="col-md-3 col-lg-3 col-xl-3 mx-auto mt-3">
            <h6 class="text-uppercase mb-4 font-weight-bold">
              Mobile Price Prediction
            </h6>
            <p>
              Here user can prediction the price for the different mobile phone.
              Accuracy is almost near to or equal to the actual price for
              unkown data.
            </p>
          </div>
          <!-- Grid column -->

          <hr class="w-100 clearfix d-md-none" />

          <!-- Grid column -->
          <div class="col-md-2 col-lg-2 col-xl-2 mx-auto mt-3">
            <h6 class="text-uppercase mb-4 font-weight-bold">Products</h6>
            <p>
              <a class="text-white">iphone</a>
            </p>
            <p>
              <a class="text-white">Samsung</a>
            </p>
            <p>
              <a class="text-white">Nokia</a>
            </p>
            <p>
              <a class="text-white">Vivo</a>
            </p>
          </div>
          <!-- Grid column -->

          <hr class="w-100 clearfix d-md-none" />

          <!-- Grid column -->
          <hr class="w-100 clearfix d-md-none" />

          <!-- Grid column -->
          <div class="col-md-4 col-lg-3 col-xl-3 mx-auto mt-3">
            <h6 class="text-uppercase mb-4 font-weight-bold">Contact</h6>
            <p><i class="fas fa-home mr-3"></i> Gyelpozhing College </p>
            <p><i class="fas fa-envelope mr-3"></i> gcit@rub.edu.bt</p>
            <p><i class="fas fa-phone mr-3"></i> + 01 234 567 88</p>
            <p><i class="fas fa-print mr-3"></i> + 17 38 83 08</p>
          </div>
          <!-- Grid column -->

          <!-- Grid column -->
          <div class="col-md-3 col-lg-2 col-xl-2 mx-auto mt-3">
            <h6 class="text-uppercase mb-4 font-weight-bold">Follow us</h6>

            <!-- Facebook -->
            <a
               class="btn btn-primary btn-floating m-1"
               style="background-color: #3b5998"
               href="#!"
               role="button"
               ><i class="fab fa-facebook-f"></i
              ></a>

            <!-- Twitter -->
            <a
               class="btn btn-primary btn-floating m-1"
               style="background-color: #55acee"
               href="#!"
               role="button"
               ><i class="fab fa-twitter"></i
              ></a>

            <!-- Google -->
            <a
               class="btn btn-primary btn-floating m-1"
               style="background-color: #dd4b39"
               href="#!"
               role="button"
               ><i class="fab fa-google"></i
              ></a>

            <!-- Instagram -->
            <a
               class="btn btn-primary btn-floating m-1" 
               style="background-color: #ac2bac"
               href="#!"
               role="button"
               ><i class="fa fa-instagram" aria-hidden="true"></i
              ></a>

            <!-- Linkedin -->
            <a
               class="btn btn-primary btn-floating m-1"
               style="background-color: #0082ca"
               href="#!"
               role="button"
               ><i class="fab fa-linkedin-in"></i
              ></a>
            <!-- Github -->
            <a
               class="btn btn-primary btn-floating m-1"
               style="background-color: #333333"
               href="#!"
               role="button"
               ><i class="fab fa-github"></i
              ></a>
          </div>
        </div>
        <!--Grid row-->
      </section>
      <!-- Section: Links -->
    </div>
    <!-- Grid container -->

    <!-- Copyright -->
    <div
         class="text-center p-3"
         style="background-color: rgba(0, 0, 0, 0.2)"
         >
      © 2020 Copyright:
      <a class="text-white" href="https://mdbootstrap.com/"
         >mobileprice.com</a
        >
    </div>
    <!-- Copyright -->
  </footer>
  <!-- Footer -->
</div>
<!-- End of .container -->
</body>
<script>
  let slideIndex = 0;
  showSlides();
  
  function showSlides() {
    let i;
    let slides = document.getElementsByClassName("mySlides");
    let dots = document.getElementsByClassName("dot");
    for (i = 0; i < slides.length; i++) {
    slides[i].style.display = "none";  
    }
    slideIndex++;
    if (slideIndex > slides.length) {slideIndex = 1}    
    for (i = 0; i < dots.length; i++) {
    dots[i].className = dots[i].className.replace(" active", "");
    }
    slides[slideIndex-1].style.display = "block";  
    dots[slideIndex-1].className += " active";
    setTimeout(showSlides, 2000); // Change image every 2 seconds
  }
  </script>
</html>